Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

bin/magento sampledata:deploy fails #2425

Closed
marvincaspar opened this issue Nov 19, 2015 · 8 comments

Comments

@marvincaspar
Copy link
Contributor

@marvincaspar marvincaspar commented Nov 19, 2015

Hi,

if I run bin/magento sampledata:deploy I get the following error:

  [Composer\Downloader\TransportException]                                   
  The 'https://repo.magento.com/packages.json' URL required authentication.  
  You must be using the interactive console to authenticate

After running composer update and bin/magento setup:install ... --use-sample-data the sample data are available. My login credentials are already stored in auth.json.

@woei66

This comment has been minimized.

Copy link

@woei66 woei66 commented Nov 19, 2015

token may be expired
visit https://github.com/settings/tokens to update your token and update your auth.json

then, try below steps:
rm -rf var/
bin/magento setup:upgrade
bin/magento sampledata:deploy
bin/magento setup:static-content:deploy

@marvincaspar

This comment has been minimized.

Copy link
Contributor Author

@marvincaspar marvincaspar commented Nov 19, 2015

Token is valid and an installation without sample data workd fine. Only the bin/magento sampledata:deploy command fails.

@davidalger

This comment has been minimized.

Copy link
Member

@davidalger davidalger commented Nov 19, 2015

This is a known issue in the sampledata:deploy command which has been addressed and delivered to the develop mainline in 764d75a. The workaround specified is documented on devdocs. Closing.

@davidalger davidalger closed this Nov 19, 2015
@ci2014

This comment has been minimized.

Copy link

@ci2014 ci2014 commented Dec 24, 2015

The workaround "composer update" is not working for me. It is not asking for auth data, as mentioned in the devdocs.

Link to the devdocs for deploying sample data: http://devdocs.magento.com/guides/v2.0/install-gde/install/sample-data-after-magento.html

@mazhalai

This comment has been minimized.

Copy link
Contributor

@mazhalai mazhalai commented Dec 28, 2015

@ci2014 please do not comment on closed issues. If you have the latest code, auth data is not required anymore.

@grichards

This comment has been minimized.

Copy link

@grichards grichards commented Jan 15, 2016

Sorry to leave a comment on a closed issue... don't know where else to leave it, but I echo @ci2014's comments... running composer update does not ask for auth... and a fresh install of mag2 via composer still gives me this error trying to deploy sample data.

@mazhalai

This comment has been minimized.

Copy link
Contributor

@mazhalai mazhalai commented Jan 15, 2016

@grichards please start a new thread, with what exactly you tired and what didnt work?

@MorganGonzales

This comment has been minimized.

Copy link

@MorganGonzales MorganGonzales commented Mar 29, 2016

Solution: #2523

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
7 participants
You can’t perform that action at this time.